Loading...
Searching...
No Matches
dasd_information_t Struct Reference

`#include <fdasd.h>`

## Data Fields

unsigned int | chanq_len
char | characteristics [64]
unsigned int | characteristics_size
unsigned int | confdata_size
char | configuration_data [256]
unsigned int | cu_model: 8
unsigned int | cu_type: 16
unsigned int | dev_model: 8
unsigned int | dev_type: 16
unsigned int | devno
unsigned int | FBA_layout
unsigned int | label_block
unsigned int | open_count
unsigned int | real_devno
unsigned int | req_queue_len
unsigned int | schid
unsigned int | status
char | type [4]

## Field Documentation

## chanq_len

unsigned int dasd_information_t::chanq_len

## characteristics

char dasd_information_t::characteristics

## characteristics_size

unsigned int dasd_information_t::characteristics_size

## confdata_size

unsigned int dasd_information_t::confdata_size

## configuration_data

char dasd_information_t::configuration_data

## cu_model

unsigned int dasd_information_t::cu_model

## cu_type

unsigned int dasd_information_t::cu_type

## dev_model

unsigned int dasd_information_t::dev_model

## dev_type

unsigned int dasd_information_t::dev_type

## devno

unsigned int dasd_information_t::devno

## FBA_layout

unsigned int dasd_information_t::FBA_layout

## label_block

unsigned int dasd_information_t::label_block

## open_count

unsigned int dasd_information_t::open_count

## real_devno

unsigned int dasd_information_t::real_devno

## req_queue_len

unsigned int dasd_information_t::req_queue_len

## schid

unsigned int dasd_information_t::schid

## status

unsigned int dasd_information_t::status

## type

char dasd_information_t::type

The documentation for this struct was generated from the following files:

- include/parted/fdasd.h
- include/parted/fdasd.in.h